---
- name: Update and upgrade all packages
  yum:
    name: '*'
    state: latest
  become: yes

- name: Install required software
  yum:
    name:
    - httpd
    - dhcp
    - xinetd
    - syslinux
    - tftp-server
    state: latest
  become: yes

- name: Download CentOS 7 ISO
  get_url:
    url: http://fr2.rpmfind.net/linux/centos/7.5.1804/isos/x86_64/CentOS-7-x86_64-Minimal-1804.iso
    dest: /vagrant/pxe_server.iso
    mode: 0440
